if type(window) ~= "userdata" then;
window = ofWindow();
end;
;
M.img = ofImage();
;
function M.new();
ofWindow.addListener("setup", this);
ofWindow.addListener("draw", this);
ofWindow.addListener("exit", this);
window:setPosition(0, 0);
window:setSize(100, 100);
if ofWindow.exists then;
clock:delay(0);
else;
window:create();
end;
end;
;
function M.free();
window:destroy();
ofWindow.removeListener("setup", this);
ofWindow.removeListener("draw", this);
ofWindow.removeListener("exit", this);
end;
;
function M.setup();
M.img:allocate(10, 10, OF_IMAGE_COLOR);
for i = 0, 99, 1 do
M.img:setColor(i * 3, ofColor(i));
end;
M.img:update();
print("pixel at 99", M.img:getColor(99*3):getHex() & 255);
end;
;
function M.draw();
M.img:bind();
ofDrawRectangle(0, 0, ofGetWidth(), ofGetHeight());
M.img:unbind();
end;
;
function M.exit();
M.img:clear();
end

